package io.renren.modules.sys.service;

import com.baomidou.mybatisplus.extension.service.IService;
import io.renren.common.utils.PageUtils;
import io.renren.modules.sys.entity.algs.AlgTrain;
import io.renren.modules.sys.entity.algs.Algorithm;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
 * @Author: Ivan Q
 * @Date: 2021/6/11 16:06
 */
public interface AlgTrainService extends IService<AlgTrain> {
    PageUtils queryPageOnUse(Map<String, Object> params);

    void deleteBatch(Long[] algorithmTrainingIds);

    Long querycategoryId(Long algorithmTrainingId);

    void update(AlgTrain algTrain);

    AlgTrain selectByMissName(String missName);

    AlgTrain selectByPrimaryKey(Long algorithmTrainingId);
}
